#ifndef _BUILDING_H_
#define _BUILDING_H_

#include "tnl.h"
#include "tnlNetBase.h"
#include "tnlGhostConnection.h"
#include "tnlNetInterface.h"
#include "tnlNetObject.h"
#include "tnlLog.h"
#include "tnlRPC.h"
#include "tnlString.h"

#include "GameObject.h"
#include "Position.h"

using namespace TNL;

namespace DinastyOnline {
	namespace Network {
		class GameWorld;
	
		class Building : public GameObject {
			typedef GameObject Parent;
			
		private:
			TNL::StringTableEntry name;
			
		public:
	
			Building();
			
			/// Building constructor
			Building(StringTableEntry name);
	
			virtual void idle(TNL::F32 timeDelta);
			
			StringTableEntry getName() { return name; }
	
	
			TNL_DECLARE_CLASS(Building);
		};
	}

}
#endif

